Create a dispute
curl --request POST \
--url https://app.chainpatrol.io/api/v2/dispute/create \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"content": "<string>",
"email": "jsmith@example.com",
"description": "<string>"
}
'import requests
url = "https://app.chainpatrol.io/api/v2/dispute/create"
payload = {
"content": "<string>",
"email": "jsmith@example.com",
"description": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', email: 'jsmith@example.com', description: '<string>'})
};
fetch('https://app.chainpatrol.io/api/v2/dispute/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"content": "<string>",
"message": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Disputes
Dispute Create
Create a new dispute for an asset via the external API. Requires API key.
POST
/
dispute
/
create
Create a dispute
Quick Start
Authentication
Include your API key in theX-API-KEY header:
X-API-KEY: <api-key>
Overview
The Dispute Create endpoint allows you to create a new dispute for an asset that has been reported or blocked. This is useful when you believe an asset has been incorrectly flagged or if you want to contest a blocking decision.Request
const response = await fetch(
"https://app.chainpatrol.io/api/v2/dispute/create",
{
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-KEY": "YOUR_API_KEY_HERE",
},
body: JSON.stringify({
content: "https://example-phishing-site.com",
email: "contact@yourdomain.com", // Optional if the API key is associated with a user that has an email
description:
"This is not a phishing site, it's our legitimate marketing site.", // Optional
}),
}
);
const data = await response.json();
console.log(data);
const response = await fetch(
"https://app.chainpatrol.io/api/v2/dispute/create",
{
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-KEY": "YOUR_API_KEY_HERE",
},
body: JSON.stringify({
content: "https://example-phishing-site.com",
email: "contact@yourdomain.com", // Optional if the API key is associated with a user that has an email
description:
"This is not a phishing site, it's our legitimate marketing site.", // Optional
}),
}
);
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://app.chainpatrol.io/api/v2/dispute/create",
headers={
"Content-Type": "application/json",
"X-API-KEY": "YOUR_API_KEY_HERE",
},
json={
"content": "https://example-phishing-site.com",
"email": "contact@yourdomain.com", # Optional if the API key is associated with a user that has an email
"description": "This is not a phishing site, it's our legitimate marketing site." # Optional
},
)
data = response.json()
print(data)
Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
content | string | Yes | The URL or content identifier that you want to dispute |
email | string | No* | Contact email for the dispute. Required if the API key is not associated with a user that has an email |
description | string | No | Additional details or explanation for the dispute |
Response
{
"id": "12345",
"content": "https://example-phishing-site.com"
}
Response Parameters
| Parameter | Type | Description |
|---|---|---|
id | string | The unique identifier for the created dispute |
content | string | The content (URL) that was disputed |
message | string | Optional message providing additional information |
Errors
| Status Code | Error Code | Description |
|---|---|---|
| 400 | BAD_REQUEST | Invalid input parameters or a dispute already exists for this asset with the provided email |
| 401 | UNAUTHORIZED | Missing or invalid API key |
| 404 | NOT_FOUND | The specified asset does not exist |
Notes
- A dispute can only be created once per email address for a specific asset
- If the asset is only blocked in EthPhishingDetect but not in ChainPatrol, a note will automatically be added to the dispute
- All disputes created via the API will have a system note indicating they were created via the API
Authorizations
Your API key. This is required by most endpoints to access our API programatically. Reach out to us at support@chainpatrol.io to get an API key for your use.
Body
application/json
Was this page helpful?
⌘I